import { DROPDOWN_INSTANCE_INJECTION_KEY } from "./tokens.mjs";
import { inject, computed } from "vue";
const useDropdown = () => {
  const elDropdown = inject(DROPDOWN_INSTANCE_INJECTION_KEY, {});
  return {
    elDropdown,
    _elDropdownSize: computed(() => elDropdown == null ? void 0 : elDropdown.dropdownSize)
  };
};
export {
  useDropdown
};
